Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.model
Class SWRLFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.model.SWRLFactory

    public class SWRLFactory

extends Object

A utility class that can (and should) be used to create and access SWRL related objects in an ontology. See here for documentation on using this class.

Constructor Summary
`SWRLFactory(OWLModel owlModel)`

Method Summary
`void` | `copyImps(OWLModel sourceOWLModel)`
`SWRLAtomList` | `createAtomList()`
`SWRLAtomList` | `createAtomList(Collection<SWRLAtom> atoms)`
`SWRLBuiltin` | `createBuiltin(String name)`
`SWRLBuiltinAtom` | `createBuiltinAtom(SWRLBuiltin swrlBuiltin, Iterator arguments)`
`SWRLBuiltinAtom` | `createBuiltinAtom(SWRLBuiltin swrlBuiltin, RDFList arguments)`
`SWRLClassAtom` | `createClassAtom(RDFSNamedClass aClass, RDFResource iObject)`
`SWRLDataRangeAtom` | `createDataRangeAtom(RDFResource dataRange, RDFObject dObject)`
`SWRLDatavaluedPropertyAtom` | `createDatavaluedPropertyAtom(OWLDatatypeProperty datatypeSlot, RDFResource iObject, RDFObject dObject)`
`SWRLDifferentIndividualsAtom` | `createDifferentIndividualsAtom(RDFResource argument1, RDFResource argument2)`
`SWRLImp` | `createImp()`
`SWRLImp` | `createImp(String expression)`
`SWRLImp` | `createImp(String name, String expression)`
`SWRLImp` | `createImp(SWRLAtom headAtom, Collection bodyAtoms)`
`SWRLImp` | `createImp(SWRLAtomList head, SWRLAtomList body)`
`SWRLImp` | `createImpWithGivenName(String name)`
`SWRLIndividualPropertyAtom` | `createIndividualPropertyAtom(OWLObjectProperty objectSlot, RDFResource iObject1, RDFResource iObject2)`
`SWRLSameIndividualAtom` | `createSameIndividualAtom(RDFResource argument1, RDFResource argument2)`
`SWRLVariable` | `createVariable(String name)`
`void` | `deleteImps()`
`void` | `disableAll()`
`void` | `disableAll(Set<String> ruleGroupNames)`
`void` | `disableAll(String ruleGroupName)`
`void` | `enableAll()`
`void` | `enableAll(Set<String> ruleGroupNames)`
`void` | `enableAll(String ruleGroupName)`
`SWRLBuiltin` | `getBuiltin(String name)`
`Collection` | `getBuiltins()`
`Collection` | `getEnabledImps()`
`Collection` | `getEnabledImps(Set<String> ruleGroupNames)`
`Collection` | `getEnabledImps(String ruleGroupName)`
`SWRLImp` | `getImp(String name)`
`Collection` | `getImps()`
`String` | `getNewImpName()`
`Collection` | `getReferencedImps(RDFResource rdfResource)`
`Collection<RDFProperty>` | `getSWRLBProperties()`
`Collection<RDFSNamedClass>` | `getSWRLClasses()`
`Collection<RDFProperty>` | `getSWRLProperties()`
`SWRLVariable` | `getVariable(String name)`
`Collection` | `getVariables()`
`boolean` | `hasImp(String name)`
`boolean` | `isSWRLResource(RDFResource resource)`
`void` | `replaceImps(OWLModel sourceOWLModel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLFactory

    public SWRLFactory(OWLModel owlModel)

Method Detail

### createImp

    public SWRLImp createImp()

### createImpWithGivenName

    public SWRLImp createImpWithGivenName(String name)

### createImp

    public SWRLImp createImp(String expression)
                      throws SWRLParseException

  Throws:
    `SWRLParseException`

### createImp

    public SWRLImp createImp(String name,
                             String expression)
                      throws SWRLParseException

  Throws:
    `SWRLParseException`

### createImp

    public SWRLImp createImp(SWRLAtom headAtom,
                             Collection bodyAtoms)

### createImp

    public SWRLImp createImp(SWRLAtomList head,
                             SWRLAtomList body)

### createAtomList

    public SWRLAtomList createAtomList()

### createAtomList

    public SWRLAtomList createAtomList(Collection<SWRLAtom> atoms)

### createBuiltinAtom

    public SWRLBuiltinAtom createBuiltinAtom(SWRLBuiltin swrlBuiltin,
                                             Iterator arguments)

### createBuiltinAtom

    public SWRLBuiltinAtom createBuiltinAtom(SWRLBuiltin swrlBuiltin,
                                             RDFList arguments)

### createClassAtom

    public SWRLClassAtom createClassAtom(RDFSNamedClass aClass,
                                         RDFResource iObject)

### createDataRangeAtom

    public SWRLDataRangeAtom createDataRangeAtom(RDFResource dataRange,
                                                 RDFObject dObject)

### createDatavaluedPropertyAtom

    public SWRLDatavaluedPropertyAtom createDatavaluedPropertyAtom(OWLDatatypeProperty datatypeSlot,
                                                                   RDFResource iObject,
                                                                   RDFObject dObject)

### createIndividualPropertyAtom

    public SWRLIndividualPropertyAtom createIndividualPropertyAtom(OWLObjectProperty objectSlot,
                                                                   RDFResource iObject1,
                                                                   RDFResource iObject2)

### createDifferentIndividualsAtom

    public SWRLDifferentIndividualsAtom createDifferentIndividualsAtom(RDFResource argument1,
                                                                       RDFResource argument2)

### createSameIndividualAtom

    public SWRLSameIndividualAtom createSameIndividualAtom(RDFResource argument1,
                                                           RDFResource argument2)

### createVariable

    public SWRLVariable createVariable(String name)

### createBuiltin

    public SWRLBuiltin createBuiltin(String name)

### getBuiltin

    public SWRLBuiltin getBuiltin(String name)

### getBuiltins

    public Collection getBuiltins()

### getImps

    public Collection getImps()

### getEnabledImps

    public Collection getEnabledImps()

### getEnabledImps

    public Collection getEnabledImps(Set<String> ruleGroupNames)

### getEnabledImps

    public Collection getEnabledImps(String ruleGroupName)

### deleteImps

    public void deleteImps()

### replaceImps

    public void replaceImps(OWLModel sourceOWLModel)
                     throws SWRLFactoryException

  Throws:
    `SWRLFactoryException`

### copyImps

    public void copyImps(OWLModel sourceOWLModel)
                  throws SWRLFactoryException

  Throws:
    `SWRLFactoryException`

### getImp

    public SWRLImp getImp(String name)
                   throws SWRLFactoryException

  Throws:
    `SWRLFactoryException`

### hasImp

    public boolean hasImp(String name)

### getNewImpName

    public String getNewImpName()

### getVariable

    public SWRLVariable getVariable(String name)

### getVariables

    public Collection getVariables()

### getReferencedImps

    public Collection getReferencedImps(RDFResource rdfResource)

### enableAll

    public void enableAll()

### disableAll

    public void disableAll()

### enableAll

    public void enableAll(Set<String> ruleGroupNames)

### disableAll

    public void disableAll(Set<String> ruleGroupNames)

### enableAll

    public void enableAll(String ruleGroupName)

### disableAll

    public void disableAll(String ruleGroupName)

### isSWRLResource

    public boolean isSWRLResource(RDFResource resource)

### getSWRLClasses

    public Collection<RDFSNamedClass> getSWRLClasses()

### getSWRLProperties

    public Collection<RDFProperty> getSWRLProperties()

### getSWRLBProperties

    public Collection<RDFProperty> getSWRLBProperties()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.